> ## Documentation Index
> Fetch the complete documentation index at: https://support.i.moneyforward.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Export integration logs CSV

> Export integration logs as a CSV file. When `newWorkflow` is true, the CSV is generated asynchronously and a `requestId` is returned to poll for completion.



## OpenAPI

````yaml https://api.itmc.i.moneyforward.com/public-api/docs/v1-json get /api/v1/organizations/{organizationId}/integration-logs/csv
openapi: 3.0.0
info:
  title: Admina Public API
  description: >-
    Admina API is a RESTfull API providing programmatic access to much of the
    data in the system. It provides predictable URLs for accessing resources,
    and uses built-in HTTP features to receive commands and return responses.
    This makes it easy to communicate with from a wide variety of environments,
    from command-line utilities to gadgets to the browser URL bar itself.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.itmc.i.moneyforward.com
security: []
tags:
  - name: Organizations
    description: ''
  - name: Users
    description: ''
  - name: Directory
    description: ''
  - name: Departments
    description: ''
  - name: Locations
    description: ''
  - name: Companies
    description: ''
  - name: People
    description: ''
  - name: Workspaces
    description: ''
  - name: Custom Service and Workspace
    description: ''
  - name: Workspace Accounts
    description: ''
  - name: Accounts
    description: ''
  - name: Contracts
    description: ''
  - name: Devices
    description: ''
  - name: Devices (alpha)
    description: ''
  - name: Alerts
    description: ''
  - name: Spends
    description: ''
  - name: Usage Optimization
    description: ''
  - name: Services
    description: ''
  - name: Requests
    description: ''
  - name: AuditLogs
    description: ''
  - name: EventLogs
    description: ''
paths:
  /api/v1/organizations/{organizationId}/integration-logs/csv:
    get:
      tags:
        - Integration Logs
      summary: Export integration logs CSV
      description: >-
        Export integration logs as a CSV file. When `newWorkflow` is true, the
        CSV is generated asynchronously and a `requestId` is returned to poll
        for completion.
      operationId: publicExportIntegrationLogsCsv
      parameters:
        - name: organizationId
          required: true
          in: path
          schema:
            type: number
        - name: startDate
          required: false
          in: query
          schema:
            example: 1644399011
            type: number
        - name: endDate
          required: false
          in: query
          schema:
            example: 1644399011
            type: number
        - name: serviceNameOrWorkspaceName
          required: false
          in: query
          schema:
            example: GitHub/Mfi
            type: string
        - name: result
          required: false
          in: query
          schema:
            example: success
            type: string
            enum:
              - success
              - failed
        - name: action
          required: false
          in: query
          schema:
            example: aggregateAll
            type: string
            enum:
              - aggregateAll
              - invite
              - create
              - update
              - delete
              - deactivate
              - removeFilePermissions
              - deleteWorkspace
              - syncOneFile
              - createRole
              - createDevice
        - name: requester
          required: false
          in: query
          schema:
            example: nguyen.tri.minh@moneyforward.co.jp
            type: string
        - name: requesterType
          required: false
          in: query
          schema:
            example: system
            type: string
            enum:
              - system
              - user
        - name: newWorkflow
          required: false
          in: query
          description: >-
            When true, generate the CSV asynchronously via an iggre-request and
            return a requestId to poll.
          schema:
            type: boolean
            example: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicGetIntegrationLogsCsvResponseDto'
      security:
        - API-Key: []
components:
  schemas:
    PublicGetIntegrationLogsCsvResponseDto:
      type: object
      properties:
        csvUrl:
          type: string
          readOnly: true
          example: >-
            https://integration-logs.s3.ap-northeast-1.amazonaws.com/123456789.csv
        requestId:
          type: string
          nullable: true
          readOnly: true
          example: 78bf2e33-4459-4e5f-9fe7-a44e3e70b488
      required:
        - csvUrl
  securitySchemes:
    API-Key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        For authenticated requests, set the `Authorization: Bearer your_api_key`
        parameter in the header. <br/>You can create and manage your API Keys by
        visiting the **API Keys** tab in the **Settings** page of your
        organization in <a target='_blank'
        href='https://itmc.i.moneyforward.com/'>Admina</a>

````